# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename co

Name:               nodejs-co
Version:            3.0.6
Release:            1%{?dist}
Summary:            Generator async flow control goodness

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/co
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(q)
BuildRequires:      npm(matcha)
BuildRequires:      npm(thunkify)
BuildRequires:      npm(should)
BuildRequires:      npm(request)
BuildRequires:      npm(mocha)
%endif

%description
Generator based flow-control goodness for nodejs and the browser, using
thunks _or_ promises, letting you write non-blocking code in a nice-ish
way.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/co
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/co

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
make test
%endif


%files
%doc Readme.md
%{nodejs_sitelib}/co/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 3.0.6-1
- Initial packaging for Fedora.
